# -*- coding: utf-8 -*-

# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

from sikuli import *
import os.path

addImagePath(os.path.join('shared', 'images', 'controlpanel', 'devices'))


def open_tab():
    click_devices_tab()


def click_devices_tab():
    click('ubuntuone_control_panel-devices_tab.png')


def remove_this_device(confirm=True):
    click_remove_this_device_button()
    if confirm:
        confirm_device_removal()
    else:
        cancel_device_removal()


def click_remove_this_device_button():
    click('ubuntuone_control_panel-devices_panel-remove_button.png')


def confirm_device_removal():
    click('ubuntuone_control_panel-devices_panel-confirm_device_remove_dialog-yes_button.png')


def cancel_device_removal():
    # TODO
    raise NotImplementedError
