#!/usr/bin/env ruby1.8
=begin
/*
 * Copyright 2012 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
=end

def wait_for_information
    begin
        @controlpanel.wait_child({:type=>'LoadingOverlay'}, 3)
        verify_not(30, 'Information not loaded') {
            @controlpanel.LoadingOverlay(:visible=>'true')
        }
    rescue MobyBase::SyncTimeoutError
    end     
end

def click_yes_on_dialog_button
    @controlpanel.QDialogButtonBox(:name=>'qt_msgbox_buttonbox').QPushButton(:text=>'&Yes').tap
end
