#!/usr/bin/env ruby1.8
=begin
/*
 * Copyright 2012 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
=end

require $actions_path + '/common.rb'

def is_control_panel_visible?
    return @controlpanel.QWidget(:name=>'management'). \
        attribute('visible') == 'true'
end

def wait_for_control_panel
    wait_for_information
    wait_for_tab_bar
end

def wait_for_tab_bar
    verify_equal('true', 10, 'Tab bar not displayed') {
        get_tab_bar.attribute('visible')
    }
end

def get_tab_bar
    return @controlpanel.QTabBar(:name=>'qt_tabwidget_tabbar')
end
