# -*- coding: utf-8 -*-

# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Test case u1webm-001 Play song.
Play a song on the Ubuntu One web music player.

"""

from sst.actions import *
import actions.setup as setup_actions
import actions.music as music_actions
from data.song import Song
from data.user import User
try:
    from _musicpasswords import full_name, email, password
except:
    skip('Try adding a _musicpasswords.py file to the music folder if you ' \
         'expect this to work. Read the README.txt file ;)')

skip('Test is failing in jenkins for unknown reason.')
test_user = User(full_name, email, password)
setup_actions.setup(user=test_user)
music_actions.open()
song = Song('gentle marimba', 'Alastair Cameron', 'Free Film Music (cameronmusic.co.uk)')
music_actions.play_song(song)
music_actions.assert_songs_added_to_queue([song])
music_actions.assert_current_song(song)
music_actions.assert_player_playing()
music_actions.assert_player_title(1, 1)
