# -*- coding: utf-8 -*-
# Authors: 
#     Rick McBride <rick.mcbride@canonical.com>
#     Leo Arias <leo.arias@canonical.com>
#
# Copyright 2011-2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Pay for the additional sotrage service."""

from sst.actions import *
from config import environment
import actions.setup as setup_actions
import actions.services as services_actions
import actions.payment as payment_actions
import actions.payment_confirmed as payment_confirmed_actions

skip('This test must be updated for Ubuntu Pay.')
setup_actions.setup(new_user=True)
services_actions.open()
services_actions.buy_extra_storage()
payment_actions.assert_page_title()
payment_actions.place_order_with_valid_card()
payment_actions.confirm_payment_details()
payment_confirmed_actions.assert_processed_payment('annually', 29.99, 29.99)
payment_confirmed_actions.view_account()
# TODO move this to the module account actions.
get_element(tag='span', text='5GB with Ubuntu One Free')
get_element(tag='span', text='20GB from storage add-on')
