# -*- coding: utf-8 -*-

# Copyright 2011, 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Buy the monthly extra storage service."""

from sst.actions import *
import actions.setup as setup_actions
import actions.services as services_actions
import actions.payment as payment_actions

skip('This test must be updated for Ubuntu Pay.')
setup_actions.setup()
services_actions.open()
services_actions.buy_extra_storage_monthly(5)
payment_actions.assert_page_title()
payment_actions.assert_monthly_extra_storage_subscription(5)
