# -*- coding: utf-8 -*-

"""Thanks to heltonbiker for the code to generate the random image.
See http://stackoverflow.com/a/10901092

As part of the code for this file was copied from stackoverflow, 
it has a CC-BY-SA 3.0 license.

"""

import numpy
import Image
import tempfile
import uuid

def make_random_photo_and_return_path():
    photo_uuid = str(uuid.uuid1())
    photo_path = None
    random_matrix = numpy.random.rand(200, 200, 3) * 255
    random_uint8_matrix = random_matrix.astype('uint8')
    image = Image.fromarray(random_uint8_matrix).convert('RGBA')
    photo = tempfile.NamedTemporaryFile(mode='wr', prefix='Random photo ',
        suffix=photo_uuid + '.jpg', delete=False)
    image.save(photo)
    photo.close
    return photo.name
