# -*- coding: utf-8 -*-

# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

from sikuli import *
import os.path

addImagePath(os.path.join('shared', 'images', 'controlpanel', 'wizard'))


def login():
    if is_wizard_visible():
        sign_me_in_with_my_existing_account()
        sync_the_cloud_to_your_computer()
        sync_your_computer_with_the_cloud()       


def is_wizard_visible():
    return exists('ubuntuone_wizard-sign_in_page.png')


def sign_me_in_with_my_existing_account():
    click('ubuntuone_wizard-sign_in_page-sign_in_button.png')
    print 'Log in. You have 30 seconds.'
    sleep(30)


def sync_the_cloud_to_your_computer():
    click('ubuntuone_wizard-next_button.png')


def sync_your_computer_with_the_cloud():
    click('ubuntuone_wizard-finish_button.png')
