# -*- coding: utf-8 -*-

# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

from sst.actions import *
import actions.setup as setup_actions
import actions.dashboard as dashboard_actions
import actions.header as header_actions

setup_actions.setup(new_user=True)
user = setup_actions.get_user()
dashboard_actions.assert_page_title()
header_actions.assert_login(user.full_name)
dashboard_actions.assert_welcome_message(user.full_name)
