# -*- coding: utf-8 -*-

# Copyright 2011, 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

from actions import (
    dashboard,
    files,
    setup,
    )

setup.setup(new_user=True) # To ensure 0 contacts and 0 bytes
user = setup.get_user()
files.open()
dashboard.open()
dashboard.assert_page_title()
dashboard.assert_welcome_message(user.full_name)
dashboard.assert_number_of_bytes('0 bytes')
dashboard.assert_number_of_contacts('0')
