# -*- coding: utf-8 -*-

# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Test case u1webn-001 Main tabs.
Navigate the main tabs of the website.

"""

from sst.actions import *
import actions.setup as setup_actions
import actions.dashboard as dashboard_actions
import actions.files as files_actions
import actions.contacts as contacts_actions

setup_actions.setup()
dashboard_actions.assert_page_title()
files_actions.open()
contacts_actions.open()
dashboard_actions.open()
