# -*- coding: utf-8 -*-

# Copyright 2011, 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

from sst.actions import *
import actions.setup as setup_actions
import actions.services as services_actions

setup_actions.setup(login_or_sign_up=False)
services_actions.click_services_main_menu_link()
services_actions.assert_page_title()
services_actions.assert_page_heading1()
services_actions.assert_services_information()
services_actions.assert_sign_up_now_link_is_present()

