# -*- coding: utf-8 -*-

# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Actions for the Ubuntu One Free page of the Ubuntu One website."""

from sst.actions import *

def click_ubuntu_one_free_bottom_link():
    click_link(_get_ubuntu_one_free_bottom_link())


def _get_ubuntu_one_free_bottom_link():
    return get_element_by_xpath('//footer//a[contains(text(), "Ubuntu One Free")]')


def assert_page_title():
    assert_title(u'Ubuntu One : Free')


def assert_page_heading1():
    heading1_element = get_element(tag='h1')
    assert_text(heading1_element, 'Ubuntu One Free')
